Skip to content
Start here

Update Prefix Description

client.Addressing.Prefixes.Edit(ctx, prefixID, params) (*Prefix, error)
PATCH/accounts/{account_id}/addressing/prefixes/{prefix_id}

Modify the description for a prefix owned by the account.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Transit WriteIP Prefixes: Write
ParametersExpand Collapse
prefixID string

Identifier of an IP Prefix.

maxLength32
params PrefixEditParams
AccountID param.Field[string]

Path param: Identifier of a Cloudflare account.

maxLength32
Description param.Field[string]

Body param: Description of the prefix.

maxLength1000
ReturnsExpand Collapse
type Prefix struct{…}
ID stringoptional

Identifier of an IP Prefix.

maxLength32
AccountID stringoptional

Identifier of a Cloudflare account.

maxLength32
DeprecatedAdvertised booloptional
Prefer the [BGP Prefixes API](https://developers.cloudflare.com/api/resources/addressing/subresources/prefixes/subresources/bgp_prefixes/) instead, which allows for advertising multiple BGP routes within a single IP Prefix.

Prefix advertisement status to the Internet. This field is only not 'null' if on demand is enabled.

DeprecatedAdvertisedModifiedAt Timeoptional
Prefer the [BGP Prefixes API](https://developers.cloudflare.com/api/resources/addressing/subresources/prefixes/subresources/bgp_prefixes/) instead, which allows for advertising multiple BGP routes within a single IP Prefix.

Last time the advertisement status was changed. This field is only not 'null' if on demand is enabled.

formatdate-time
Approved stringoptional

Approval state of the prefix (P = pending, V = active).

ASN int64optional

Autonomous System Number (ASN) the prefix will be advertised under.

CIDR stringoptional

IP Prefix in Classless Inter-Domain Routing format.

CreatedAt Timeoptional
formatdate-time
DelegateLOACreation booloptional

Whether Cloudflare is allowed to generate the LOA document on behalf of the prefix owner.

Description stringoptional

Description of the prefix.

maxLength1000
IrrValidationState stringoptional

State of one kind of validation for an IP prefix.

LOADocumentID stringoptional

Identifier for the uploaded LOA document.

maxLength32
ModifiedAt Timeoptional
formatdate-time
DeprecatedOnDemandEnabled booloptional
Prefer the [BGP Prefixes API](https://developers.cloudflare.com/api/resources/addressing/subresources/prefixes/subresources/bgp_prefixes/) instead, which allows for advertising multiple BGP routes within a single IP Prefix.

Whether advertisement of the prefix to the Internet may be dynamically enabled or disabled.

DeprecatedOnDemandLocked booloptional
Prefer the [BGP Prefixes API](https://developers.cloudflare.com/api/resources/addressing/subresources/prefixes/subresources/bgp_prefixes/) instead, which allows for advertising multiple BGP routes within a single IP Prefix.

Whether advertisement status of the prefix is locked, meaning it cannot be changed.

OwnershipValidationState stringoptional

State of one kind of validation for an IP prefix.

OwnershipValidationToken stringoptional

Token provided to demonstrate ownership of the prefix.

RPKIValidationState stringoptional

State of one kind of validation for an IP prefix.

Update Prefix Description

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  prefix, err := client.Addressing.Prefixes.Edit(
    context.TODO(),
    "2af39739cc4e3b5910c918468bb89828",
    addressing.PrefixEditParams{
      AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
      Description: cloudflare.F("Internal test prefix"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", prefix.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "2af39739cc4e3b5910c918468bb89828",
    "account_id": "258def64c72dae45f3e4c8516e2111f2",
    "advertised": true,
    "advertised_modified_at": "2014-01-01T05:20:00.12345Z",
    "approved": "P",
    "asn": 13335,
    "cidr": "192.0.2.0/24",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "delegate_loa_creation": true,
    "description": "Internal test prefix",
    "irr_validation_state": "pending",
    "loa_document_id": "d933b1530bc56c9953cf8ce166da8004",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "on_demand_enabled": true,
    "on_demand_locked": false,
    "ownership_validation_state": "pending",
    "ownership_validation_token": "1234a5b6-1234-1abc-12a3-1234a5b6789c",
    "rpki_validation_state": "pending"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "2af39739cc4e3b5910c918468bb89828",
    "account_id": "258def64c72dae45f3e4c8516e2111f2",
    "advertised": true,
    "advertised_modified_at": "2014-01-01T05:20:00.12345Z",
    "approved": "P",
    "asn": 13335,
    "cidr": "192.0.2.0/24",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "delegate_loa_creation": true,
    "description": "Internal test prefix",
    "irr_validation_state": "pending",
    "loa_document_id": "d933b1530bc56c9953cf8ce166da8004",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "on_demand_enabled": true,
    "on_demand_locked": false,
    "ownership_validation_state": "pending",
    "ownership_validation_token": "1234a5b6-1234-1abc-12a3-1234a5b6789c",
    "rpki_validation_state": "pending"
  }
}